package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 场景类型对象 hw_scene_mode
 * 
 * @author YINQ
 * @date 2023-08-31
 */
public class HwSceneMode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类型ID */
    private Long sceneModeId;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String sceneModeName;

    /** 自定义标识 */
    @Excel(name = "自定义标识")
    private Long customFlag;

    /** 租户ID */
    @Excel(name = "租户ID")
    private Long tenantId;

    /** 语言code */
    @Excel(name = "语言code")
    private String languageCode;

    /** 状态 */
    @Excel(name = "状态")
    private Long sceneModeStatus;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String sceneModeField;

    public void setSceneModeId(Long sceneModeId) 
    {
        this.sceneModeId = sceneModeId;
    }

    public Long getSceneModeId() 
    {
        return sceneModeId;
    }
    public void setSceneModeName(String sceneModeName) 
    {
        this.sceneModeName = sceneModeName;
    }

    public String getSceneModeName() 
    {
        return sceneModeName;
    }
    public void setCustomFlag(Long customFlag) 
    {
        this.customFlag = customFlag;
    }

    public Long getCustomFlag() 
    {
        return customFlag;
    }
    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }
    public void setLanguageCode(String languageCode) 
    {
        this.languageCode = languageCode;
    }

    public String getLanguageCode() 
    {
        return languageCode;
    }
    public void setSceneModeStatus(Long sceneModeStatus) 
    {
        this.sceneModeStatus = sceneModeStatus;
    }

    public Long getSceneModeStatus() 
    {
        return sceneModeStatus;
    }
    public void setSceneModeField(String sceneModeField) 
    {
        this.sceneModeField = sceneModeField;
    }

    public String getSceneModeField() 
    {
        return sceneModeField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sceneModeId", getSceneModeId())
            .append("sceneModeName", getSceneModeName())
            .append("customFlag", getCustomFlag())
            .append("tenantId", getTenantId())
            .append("languageCode", getLanguageCode())
            .append("remark", getRemark())
            .append("sceneModeStatus", getSceneModeStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("sceneModeField", getSceneModeField())
            .toString();
    }
}
